Loading...
Searching...
No Matches
opencc::ConversionChain Class Reference
OpenCC C++ Comprehensive API

Chain of conversions Consists of a list of conversions. More...

`#include <ConversionChain.hpp>`

## Public Member Functions

| ConversionChain (const std::list< ConversionPtr > _conversions)
SegmentsPtr | Convert (const SegmentsPtr &input) const
void | AppendConvertedSegment (const char *segment, std::string *output) const
std::vector< SegmentsPtr > | ConvertWithTrace (const SegmentsPtr &input) const
const std::list< ConversionPtr > | GetConversions () const

## Detailed Description

Chain of conversions Consists of a list of conversions.

Converts input in sequence.

The documentation for this class was generated from the following files:

- ConversionChain.hpp
- ConversionChain.cpp